/*
 *	Copyright (C) 2007. PARP Research Group.
 *	<http://perception.inf.um.es>
 *	University of Murcia, Spain.
 *
 *	This file is part of the QVision library.
 *
 *	QVision is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU Lesser General Public License as
 *	published by the Free Software Foundation, version 3 of the License.
 *
 *	QVision is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU Lesser General Public License for more details.
 *
 *	You should have received a copy of the GNU Lesser General Public
 *	License along with QVision. If not, see <http://www.gnu.org/licenses/>.
 */

/// @file qvmodels3D.h
/// @brief File from the QVision library.
/// @author PARP Research Group. University of Murcia, Spain.

/////////////////////////////////////////////////////////////
////////////////  Varios Modelos 3D en OpenGL  //////////////
/////////////////////////////////////////////////////////////

#ifndef QVMODELS3D_H
#define QVMODELS3D_H

void puerta3D(float x1,float y1,float x2,float y2);
void pared3D(float x1,float y1,float x2,float y2);
void suelo3D(float x1,float y1,float x2,float y2);
void geobot3D(float posx, float posy, float angle);
//void parameterized_camera(LIST<double> p, float size = 1., bool trip = false);

#endif
